#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

const ll mod=1000000007;


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n,k;
    cin>>n>>k;
    string s;
    cin>>s;
    vector<bool> v(n,false);
    int br=0;
    for(int i=0;i<n;i++){
        if(!v[s[i]-'a']){
            v[s[i]-'a']=true;
            br++;
        }
        if (br>=k)cout<<2<<' ';
        else cout<<1<<' ';

    }


    return 0;
}